# -*- coding: utf-8 -*-

# Copyright (c) 2005 - 2006 Detlev Offenbach <detlev@die-offenbachs.de>
#

"""
Module implementing a Tex lexer with some additional methods.
"""

from qtext import QextScintillaLexerTeX
from qt import *

from Lexer import Lexer

class LexerTeX(QextScintillaLexerTeX, Lexer):
    """ 
    Subclass to implement some additional lexer dependant methods.
    """
    def __init__(self, parent=None, name=None):
        """
        Constructor
        
        @param parent parent widget of this lexer
        @param name name of this lexer
        """
        QextScintillaLexerTeX.__init__(self, parent, name)
        Lexer.__init__(self)
        
        self.commentString = QString("%")
